UEncoder.SafeCharsSet (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.tomcat.util.buf, class: UEncoder, enum: SafeCharsSet

# Enum Class UEncoder.SafeCharsSet

java.lang.Object
java.lang.Enum<UEncoder.SafeCharsSet>
org.apache.tomcat.util.buf.UEncoder.SafeCharsSet

All Implemented Interfaces:
  `Serializable, Comparable<UEncoder.SafeCharsSet>, Constable`

Enclosing class:
  `UEncoder`

public static enum UEncoder.SafeCharsSet extends Enum<UEncoder.SafeCharsSet>
Pre-defined sets of safe characters for URL encoding.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Default safe character set.
  `WITH_SLASH`
  Safe character set that includes the forward slash.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UEncoder.SafeCharsSet`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UEncoder.SafeCharsSet[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WITH_SLASH

    public static final UEncoder.SafeCharsSet WITH_SLASH
    Safe character set that includes the forward slash.

  - ### DEFAULT

    public static final UEncoder.SafeCharsSet DEFAULT
    Default safe character set.

- ## Method Details

  - ### values

    public static UEncoder.SafeCharsSet[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UEncoder.SafeCharsSet valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null